#! /usr/bin/python3

import psycopg2
import sys
from os import environ

INTERVAL = environ['OLD_INTERVAL']
USER = environ['POSTGRES_USER']
DATABASE = environ['POSTGRES_DB']
PASSWORD = environ['POSTGRES_PASSWORD']
HOST = ['DB_HOST']
PORT = ['DB_PORT']

print("===== Begin of deleteOldPad job =====")

try:
    db = psycopg2.connect("user = " + USER + " dbname = " +DATABASE + " password = " + PASSWORD + " host = " + HOST + " port = " + PORT)
except:
    sys.exit("deleteOldPad : Unable to connect database")

with db :
    with db.cursor() as cur:
        #Make a backup of old pads in deletedPads
        try:
            cur.execute("SELECT \"Notes\".\"id\", \"Notes\".\"content\" FROM \"Notes\" WHERE \"Notes\".\"updatedAt\" < NOW() - interval %s", (INTERVAL,))
        except:
            sys.exit("deleteOldPad : unable to select old pads")
        for oldPad in cur.fetchall():
            with open("deletedPads/" + oldPad[0] + '.txt', "w") as f:
                f.write(oldPad[1])

        #Delete the old pads
        try:
            cur.execute("DELETE FROM \"Notes\" WHERE \"Notes\".\"updatedAt\" < NOW() - interval %s", (INTERVAL,))
        except:
            sys.exit("deleteOldPad: unable to delete old pads")
        print("deleteOldPad : Deleted old pad")

db.close()

print("===== End of deleteOldPad job =====")
